Package org.drinkless.tdlib

# Class TdApi.BusinessAwayMessageScheduleCustom

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BusinessAwayMessageSchedule
org.drinkless.tdlib.TdApi.BusinessAwayMessageScheduleCustom

Enclosing class:
  `TdApi`

public static class TdApi.BusinessAwayMessageScheduleCustom extends TdApi.BusinessAwayMessageSchedule
Send away messages only in the specified time span.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.BusinessAwayMessageSchedule

  `TdApi.BusinessAwayMessageSchedule.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `endDate`
  Point in time (Unix timestamp) when the away messages will stop to be sent.
  `int`
  `startDate`
  Point in time (Unix timestamp) when the away messages will start to be sent.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusinessAwayMessageScheduleCustom()`
  Send away messages only in the specified time span.
  `BusinessAwayMessageScheduleCustom(int startDate, int endDate)`
  Send away messages only in the specified time span.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### startDate

    public int startDate
    Point in time (Unix timestamp) when the away messages will start to be sent.

  - ### endDate

    public int endDate
    Point in time (Unix timestamp) when the away messages will stop to be sent.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BusinessAwayMessageScheduleCustom

    public BusinessAwayMessageScheduleCustom()
    Send away messages only in the specified time span.

  - ### BusinessAwayMessageScheduleCustom

    public BusinessAwayMessageScheduleCustom(int startDate, int endDate)
    Send away messages only in the specified time span.
    Parameters:
      `startDate` - Point in time (Unix timestamp) when the away messages will start to be sent.
      `endDate` - Point in time (Unix timestamp) when the away messages will stop to be sent.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.BusinessAwayMessageSchedule`
    Returns:
      this.CONSTRUCTOR